import React, { Suspense } from 'react'
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom'
import UserHome from './user/homeComponent'

const AdminComponent = React.lazy(() => import('./admin'))

function App() {
    return (
        <Router>
            <div className="App">
                <h1 style={{ color: 'green' }}>UniSport</h1>
            </div>
            <Switch>
                <Route path="/admin">
                    <Suspense fallback={<div>Loading AdminComponent...</div>}>
                        <AdminComponent />
                    </Suspense>
                </Route>
                <Route path="">
                    <UserHome />
                </Route>
            </Switch>
        </Router>
    )
}

export default App
